Create SAML service provider metadata Generally available; Added in 7.11.0

GET /_security/saml/metadata/{realm_name}

Generate SAML metadata for a SAML 2.0 Service Provider.

The SAML 2.0 specification provides a mechanism for Service Providers to describe their capabilities and configuration using a metadata file. This API generates Service Provider metadata based on the configuration of a SAML realm in Elasticsearch.

Path parameters

  • realm_name string Required

    The name of the SAML realm in Elasticsearch.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • metadata string Required

      An XML string that contains a SAML Service Provider's metadata for the realm.

GET /_security/saml/metadata/{realm_name}
curl \
 --request GET 'http://api.example.com/_security/saml/metadata/{realm_name}'
Response examples (200)
A successful response from `POST /_security/profile/u_P_0BMHgaOK3p7k-PFWUCbw9dQ-UFjt01oWJ_Dp2PmPc_0/_data`, which indicates that the request is acknowledged.
{
"metadata": """<?xml version="1.0" encoding="UTF-8"?><md:EntityDescriptor xmlns:md="urn:oasis:names:tc:SAML:2.0:metadata" entityID="https://<kibana_url>"><md:SPSSODescriptor AuthnRequestsSigned="false" WantAssertionsSigned="true" protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol"><md:SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="https://<kibana_url>/logout"/><md:AssertionConsumerService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST" Location="https://<kibana_url>/api/security/saml/callback" index="1" isDefault="true"/></md:SPSSODescriptor></md:EntityDescriptor>"""
}